org.apache.tinkerpop.gremlin.driver.handler

## Class WebSocketClientHandler.InterceptedWebSocketClientHandshaker13

- java.lang.Object
- - io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker
  - - io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13
    - - org.apache.tinkerpop.gremlin.driver.handler.WebSocketClientHandler.InterceptedWebSocketClientHandshaker13

- Enclosing class:
    WebSocketClientHandler

      public static class WebSocketClientHandler.InterceptedWebSocketClientHandshaker13
      extends io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

  Extension to the Netty implementation that allows for the `newHandshakeRequest()` to be modified by way of a `HandshakeInterceptor` that is supplied to the `Cluster` when it is created.

- - ### Field Summary

    - ### Fields inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

      `MAGIC_GUID`

    - ### Fields inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker

      `customHeaders, DEFAULT_FORCE_CLOSE_TIMEOUT_MILLIS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InterceptedWebSocketClientHandshaker13(URI webSocketURL, io.netty.handler.codec.http.websocketx.WebSocketVersion version, String subprotocol, boolean allowExtensions, io.netty.handler.codec.http.HttpHeaders customHeaders, int maxFramePayloadLength, boolean performMasking, boolean allowMaskMismatch, long forceCloseTimeoutMillis, HandshakeInterceptor interceptor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected io.netty.handler.codec.http.FullHttpRequest` | `newHandshakeRequest()`

    - ### Methods inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13

      `newWebsocketDecoder, newWebSocketEncoder, setForceCloseTimeoutMillis, verify`

    - ### Methods inherited from class io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker

      `actualSubprotocol, close, close, close, close, expectedSubprotocol, finishHandshake, forceCloseTimeoutMillis, handshake, handshake, isForceCloseComplete, isHandshakeComplete, maxFramePayloadLength, processHandshake, processHandshake, upgradeUrl, uri, version`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InterceptedWebSocketClientHandshaker13

          public InterceptedWebSocketClientHandshaker13(URI webSocketURL,
                                                        io.netty.handler.codec.http.websocketx.WebSocketVersion version,
                                                        String subprotocol,
                                                        boolean allowExtensions,
                                                        io.netty.handler.codec.http.HttpHeaders customHeaders,
                                                        int maxFramePayloadLength,
                                                        boolean performMasking,
                                                        boolean allowMaskMismatch,
                                                        long forceCloseTimeoutMillis,
                                                        HandshakeInterceptor interceptor)

  - ### Method Detail

    - #### newHandshakeRequest

          protected io.netty.handler.codec.http.FullHttpRequest newHandshakeRequest()

      Overrides:
        `newHandshakeRequest` in class `io.netty.handler.codec.http.websocketx.WebSocketClientHandshaker13`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.